Seccl - Create a new Seccl client and sync them into Plannr Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/addons/seccl/{addon}/client

Path parameters

  • addon string Required
application/json

Body

  • client_type string Required

    The type of client.

    Value Description
    Individual INDIVIDUAL
    Individual Minor INDIVIDUAL_MINOR

    Values are Individual or Individual Minor.

  • node_id string

    The Seccl node ID. Required for adult clients.

  • parent_id string

    The parent client identifier. Required for minor clients. Accepts either a Seccl client ID or a Plannr account UUID.

  • title string

    The client's title. Required for adult clients.

    Value Description
    Dr Dr
    Professor Professor
    Mrs Mrs
    Miss Miss
    Mr Mr
    Ms Ms
    Mx Mx

    Values are Dr, Professor, Mrs, Miss, Mr, Ms, or Mx.

  • first_name string Required

    The client's first name.

  • surname string Required

    The client's surname.

  • email string(email)

    The client's email. Required for adult clients.

  • nationality string Required

    The client's primary nationality (2-letter ISO code).

  • nationalities array

    Array of nationalities with optional identifiers. Exactly one nationality must include identifiers, and exactly one identifier must be marked as available.

  • nationalities.*.code string Required

    The 2-letter ISO country code.

    Minimum length is 2, maximum length is 2. Format should match the following pattern: ^[A-Z]{2}$.

  • nationalities.*.identifiers array

    Array of tax identifiers for this nationality.

  • nationalities.*.identifiers.*.name string Required

    The identifier name (e.g., NINO, TIN, SSN, CONCAT).

  • nationalities.*.identifiers.*.available boolean Required

    Whether this identifier is available for the client.

  • nationalities.*.identifiers.*.value string

    The identifier value. Required when available is true, must not be present when available is false or name is CONCAT.

  • national_insurance_no string

    The client's national insurance number.

  • date_of_birth string(date) Required

    The client's date of birth.

  • flat_number string

    The client's flat number.

  • building_name string

    The client's building name.

  • building_number string

    The client's building number.

  • address_1 string Required

    The client's address line 1.

  • address_2 string

    The client's address line 2.

  • country string Required

    The client's country.

  • postcode string Required

    The client's postcode.

  • account_uuid string(uuid)

    The UUID of an existing Plannr account to link to the newly created Seccl client. When provided, the Seccl client ID will be set as an external reference on that account before syncing.

  • tax_domicile string

    The client's tax domicile (2-letter ISO code, currently only GB supported).

  • marital_status string

    The client's marital status.

    Value Description
    Single Single
    Married Married
    Divorced Divorced
    Widowed Widowed

    Values are Single, Married, Divorced, or Widowed.

  • retirement_age integer

    The client's expected retirement age.

    Minimum value is 0, maximum value is 120.

  • vulnerability array

    Vulnerability information for the client.

  • vulnerability.is_vulnerable boolean Required

    Whether the client is vulnerable.

  • vulnerability.reason array

    Array of vulnerability reasons (max 4). Required when is_vulnerable is true.

  • vulnerability.reason.* string

    A vulnerability reason.

    Value Description
    Health HEALTH
    Life event LIFE_EVENT
    Resilience RESILIENCE
    Capability CAPABILITY

    Values are Health, Life event, Resilience, or Capability.

  • vulnerability.is_support_temporary boolean

    Whether the support required is temporary. Required when is_vulnerable is true.

  • bank_details array

    Bank account details for the client.

  • bank_details.account_number string

    The bank account number. Required if requires_debit_mandate is true.

    Minimum length is 8, maximum length is 8.

  • bank_details.sort_code string

    The bank sort code. Required if requires_debit_mandate is true.

    Minimum length is 6, maximum length is 6.

  • requires_debit_mandate boolean

    Whether a debit mandate is required for this client.

  • employment_status string

    The client's employment status.

    Value Description
    Employed Employed
    Retired Retired
    Self Employed Self Employed
    Care Under 16s Care Under 16S
    Care Over 16 Care Over 16
    Education Education
    Unemployed Unemployed
    Other Other

    Values are Employed, Retired, Self Employed, Care Under 16s, Care Over 16, Education, Unemployed, or Other.

  • employers array

    Array of employer information (max 1).

  • employers.*.company_name string Required

    The employer's company name.

  • employers.*.company_reg_no string Required

    The employer's company registration number.

  • employers.*.address_detail array

    The employer's address.

  • employers.*.address_detail.flat_number string

    The employer address flat number.

  • employers.*.address_detail.building_name string

    The employer address building name.

  • employers.*.address_detail.building_number string

    The employer address building number.

  • employers.*.address_detail.address_1 string

    The employer address line 1.

  • employers.*.address_detail.address_2 string

    The employer address line 2.

  • employers.*.address_detail.country string

    The employer address country.

  • employers.*.address_detail.post_code string

    The employer address postcode.

  • employers.*.bank_details array

    The employer's bank details.

  • employers.*.bank_details.sort_code string

    The employer bank sort code.

    Minimum length is 6, maximum length is 6.

  • employers.*.bank_details.account_number string

    The employer bank account number.

    Minimum length is 8, maximum length is 8.

  • aml boolean

    AML acceptance confirmation. Required and must be accepted for adult clients.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • id string

      The unique identifier of the client

    • node_id string

      The node ID

    • client_type string

      The type of client

    • title string

      The title of the client

    • first_name string

      The first name of the client

    • surname string

      The surname of the client

    • address_detail object

      The address details of the client

      Hide address_detail attributes Show address_detail attributes object
      • flat_number string
      • building_name string
      • building_number string
      • address_1 string
      • address_2 string
      • country string
      • postcode string
    • email string

      The email address of the client

    • mobile object

      The primary mobile number of the client

      Hide mobile attributes Show mobile attributes object
      • number string
      • locale string
      • isMobile boolean
    • nationality string

      The primary nationality of the client

    • national_insurance_no string

      The national insurance number of the client

    • date_of_birth string

      The date of birth of the client

    • tax_domicile string

      The tax domicile of the client

    • terms_accepted boolean

      The terms accepted status of the client

    • status string

      The status of the client

    • bank_details object

      The bank details of the client

      Hide bank_details attributes Show bank_details attributes object
      • account_number string
      • sort_code string
      • accepted_debit_mandate boolean
      • accepted_debit_mandate_at string
    • vulnerability object

      The vulnerability details of the client

      Hide vulnerability attributes Show vulnerability attributes object
      • isVulnerable boolean
      • reason array[string]
      • isSupportTemporary boolean
    • aml_passed boolean

      Whether the client has passed AML checks

    • requires_debit_mandate boolean

      Does this client require a debit mandate

    • employment_status string

      The employment status of the client

    • employers array[object]

      The employers of the client

      Hide employers attributes Show employers attributes object
      • companyName string
      • companyRegNo string
      • addressDetail object
        Hide addressDetail attributes Show addressDetail attributes object
        • flat_number string | null
        • building_name string | null
        • building_number string
        • address_1 string
        • address_2 string
        • country string
        • postcode string
      • bankDetails object
        Hide bankDetails attributes Show bankDetails attributes object
        • sortCode string
        • accountNumber string
    • marital_status string

      The marital status of the client

    • retirement_age integer

      The retirement age of the client

    • can_open_accounts_for array[string]

      The wrapper types the client can open accounts for

    • plannr_account object

      The Plannr account associated with the client

      Hide plannr_account attributes Show plannr_account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm object
        Hide firm attributes Show firm attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Name of the firm

        • slug

          Slug of the firm

        • address_1

          First line of the address

        • address_2

          Second line of the address

        • town_city

          Town/City

        • county

          County

        • postcode

          Postcode

        • country

          Country

        • regulatory_text

          Regulatory text of the firm.

        • logo_icon

          URL of your firm logo icon.

        • brand_colours

          Firm branding colours.

        • is_subscribed

          Subscription status.

        • keep_deleted_files_for

          Number of days to keep deleted files for

        • tax

          Tax percent

        • month_end

          Date of the month for the monthly income reconciliation statements to end

        • statement_frequency

          The frequency of the income reconciliation statements

        • billing

          Firm invoice details for billing

        • ip_whitelist

          A list of IP Addresses a firm is allowed to log in from.

        • welcome_paragraph_html

          Custom welcome paragraph html for the branded auth welcome page

        • email_welcome_paragraph_html

          Custom welcome paragraph for the welcome/new user email

        • show_fact_find_illustrations

          Determines if the illustrations/graphics are displayed on the fact find.

        • cc_email_addresses

          Array of email cc addresses.

        • bcc_email_addresses

          Array of email bcc addresses.

        • reply_to_email_address

          Firm reply to email address.

        • mobile_app_support_number

          Firm mobile app support number.

        • mobile_app_support_email

          Firm mobile app support email address.

      • primary_phone_number object
        Hide primary_phone_number attributes Show primary_phone_number attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Contact detail type

        • name

          Contact detail description

        • value

          Contact detail value

        • phone_number_meta

          If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      • primary_email object
        Hide primary_email attributes Show primary_email attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Contact detail type

        • name

          Contact detail description

        • value

          Contact detail value

        • phone_number_meta

          If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      • current_time_entry object
        Hide current_time_entry attributes Show current_time_entry attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the time entry.

        • description

          The description of the time entry.

        • trackable_type

          The model type that is being tracked. The example given is a client, but it can be a case, firm, circle or task.

        • start_date

          The start time of the time entry.

        • end_date

          The end time of the time entry.

        • is_active

          Determines if the time entry is currently ongoing.

        • total_time_in_minutes

          Total time in minutes.

        • computed_time_elapsed_in_seconds

          Computed time elapsed in seconds.

      • assigned_adviser object
        Hide assigned_adviser attributes Show assigned_adviser attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • assigned_administrator object
        Hide assigned_administrator attributes Show assigned_administrator attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • assigned_paraplanner object
        Hide assigned_paraplanner attributes Show assigned_paraplanner attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • introduced_by object
        Hide introduced_by attributes Show introduced_by attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • business_unit object
        Hide business_unit attributes Show business_unit attributes object
        • uuid

          The UUID of the resource.

        • name

          Name of the business unit.

        • has_alternative_branding

          Whether alternative branding is enabled for this business unit.

        • brand_colours

          Brand colours for this business unit, merged with firm defaults.

        • members_count

          Number of accounts assigned to this business unit

        • groups_count

          Number of groups assigned to this business unit

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

      • groups object
        Hide groups attributes Show groups attributes object
        • uuid

          UUID of the group

        • name

          Name of the group

        • slug

          Slug of the group

        • participants_count

          Number of participants in the group

        • participants

          Participants in this group

        • created_at

          Timestamp of when the group was created

        • updated_at

          Timestamp of when the group was updated

      • tags object
        Hide tags attributes Show tags attributes object
        • uuid

          UUID of the tag

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the tag

        • slug

          The slug of the tag

        • colour

          The colour of the tag

      • owners object
        Hide owners attributes Show owners attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle object
        Hide joint_account_circle attributes Show joint_account_circle attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The Circle name

        • photo_url

          URL for initial avatar image

        • bg_colour

          Hex colour background for avatar

        • has_portal_access

          Whether any member of the circle has portal access

        • portal_access_status

          Aggregated portal access status: active, never_logged_in, or no_portal_access

        • engagement_rating

          Aggregated engagement rating: green, amber, red, or none

        • last_login

          Most recent portal login across all circle members, including who logged in

        • portal_login_count_30d

          Total portal login count across all members in last 30 days

        • portal_login_count_90d

          Total portal login count across all members in last 90 days

        • portal_login_count_365d

          Total portal login count across all members in last 365 days

        • joint_account_uuid

          uuid of joint account where circle created from joint account

        • login_access_level

          The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

        • current_life_stage_uuid

          UUID of the circle's current life stage for expenditure

      • circles object
        Hide circles attributes Show circles attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The Circle name

        • photo_url

          URL for initial avatar image

        • bg_colour

          Hex colour background for avatar

        • has_portal_access

          Whether any member of the circle has portal access

        • portal_access_status

          Aggregated portal access status: active, never_logged_in, or no_portal_access

        • engagement_rating

          Aggregated engagement rating: green, amber, red, or none

        • last_login

          Most recent portal login across all circle members, including who logged in

        • portal_login_count_30d

          Total portal login count across all members in last 30 days

        • portal_login_count_90d

          Total portal login count across all members in last 90 days

        • portal_login_count_365d

          Total portal login count across all members in last 365 days

        • joint_account_uuid

          uuid of joint account where circle created from joint account

        • login_access_level

          The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

        • current_life_stage_uuid

          UUID of the circle's current life stage for expenditure

      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields object
        Hide custom_fields attributes Show custom_fields attributes object
        • uuid

          The UUID of the custom field

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          The type of custom field

        • name

          The name of the custom field

        • reference

          The reference of the custom field, used when updating the custom field on the model.

        • is_required

          Denotes if the custom field is required

        • value

          The value of the custom field

        • selection_options

          This is the array of available options for the selection box. If the type is "selection" this array will be provided.

        • help_text

          Optional help text to aide the custom field. Will be displayed on Plannr.

      • external_references object
        Hide external_references attributes Show external_references attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • third_party

          The third party provider with the reference.

        • reference

          The third party reference.

    • parent_id string

      The parent ID of the client

POST /api/v1/addons/seccl/{addon}/client
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/addons/seccl/octopus_money/client' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"client_type":"Individual","node_id":"2","parent_id":"02GG28B","title":"Dr","first_name":"Jane","surname":"Smith","email":"jane.smith@example.com","nationality":"GB","nationalities":[{"code":"GB","identifiers":[{"name":"NINO","available":true,"value":"AB123456C"}]}],"nationalities.*.code":"GB","nationalities.*.identifiers":[{"name":"NINO","available":true,"value":"AB123456C"}],"nationalities.*.identifiers.*.name":"NINO","nationalities.*.identifiers.*.available":true,"nationalities.*.identifiers.*.value":"AB123456C","national_insurance_no":"AB123456C","date_of_birth":"1987-05-15","flat_number":"12","building_name":"Suite E","building_number":"10","address_1":"Waterberry Drive","address_2":"Waterlooville","country":"GB","postcode":"PO7 7YH","account_uuid":"877ef964-3dab-4cab-973b-f183fabd3f15","tax_domicile":"GB","marital_status":"Single","retirement_age":65,"vulnerability":[{"is_vulnerable":true,"reason":["Health"],"is_support_temporary":false}],"vulnerability.is_vulnerable":true,"vulnerability.reason":["Health"],"vulnerability.reason.*":"Health","vulnerability.is_support_temporary":false,"bank_details":[{"account_number":"12345678","sort_code":"123456"}],"bank_details.account_number":"12345678","bank_details.sort_code":"123456","requires_debit_mandate":false,"employment_status":"Employed","employers":[{"company_name":"Acme Ltd","company_reg_no":"12345678"}],"employers.*.company_name":"Acme Ltd","employers.*.company_reg_no":"12345678","employers.*.address_detail":[{"address_1":"123 Business Park","country":"GB","post_code":"AB1 2CD"}],"employers.*.address_detail.flat_number":"1","employers.*.address_detail.building_name":"Tower A","employers.*.address_detail.building_number":"100","employers.*.address_detail.address_1":"123 Business Park","employers.*.address_detail.address_2":"Industrial Estate","employers.*.address_detail.country":"GB","employers.*.address_detail.post_code":"AB1 2CD","employers.*.bank_details":[{"sort_code":"123456","account_number":"12345678"}],"employers.*.bank_details.sort_code":"123456","employers.*.bank_details.account_number":"12345678","aml":true}'
Request examples
{
  "client_type": "Individual",
  "node_id": "2",
  "parent_id": "02GG28B",
  "title": "Dr",
  "first_name": "Jane",
  "surname": "Smith",
  "email": "jane.smith@example.com",
  "nationality": "GB",
  "nationalities": [
    {
      "code": "GB",
      "identifiers": [
        {
          "name": "NINO",
          "available": true,
          "value": "AB123456C"
        }
      ]
    }
  ],
  "nationalities.*.code": "GB",
  "nationalities.*.identifiers": [
    {
      "name": "NINO",
      "available": true,
      "value": "AB123456C"
    }
  ],
  "nationalities.*.identifiers.*.name": "NINO",
  "nationalities.*.identifiers.*.available": true,
  "nationalities.*.identifiers.*.value": "AB123456C",
  "national_insurance_no": "AB123456C",
  "date_of_birth": "1987-05-15",
  "flat_number": "12",
  "building_name": "Suite E",
  "building_number": "10",
  "address_1": "Waterberry Drive",
  "address_2": "Waterlooville",
  "country": "GB",
  "postcode": "PO7 7YH",
  "account_uuid": "877ef964-3dab-4cab-973b-f183fabd3f15",
  "tax_domicile": "GB",
  "marital_status": "Single",
  "retirement_age": 65,
  "vulnerability": [
    {
      "is_vulnerable": true,
      "reason": [
        "Health"
      ],
      "is_support_temporary": false
    }
  ],
  "vulnerability.is_vulnerable": true,
  "vulnerability.reason": [
    "Health"
  ],
  "vulnerability.reason.*": "Health",
  "vulnerability.is_support_temporary": false,
  "bank_details": [
    {
      "account_number": "12345678",
      "sort_code": "123456"
    }
  ],
  "bank_details.account_number": "12345678",
  "bank_details.sort_code": "123456",
  "requires_debit_mandate": false,
  "employment_status": "Employed",
  "employers": [
    {
      "company_name": "Acme Ltd",
      "company_reg_no": "12345678"
    }
  ],
  "employers.*.company_name": "Acme Ltd",
  "employers.*.company_reg_no": "12345678",
  "employers.*.address_detail": [
    {
      "address_1": "123 Business Park",
      "country": "GB",
      "post_code": "AB1 2CD"
    }
  ],
  "employers.*.address_detail.flat_number": "1",
  "employers.*.address_detail.building_name": "Tower A",
  "employers.*.address_detail.building_number": "100",
  "employers.*.address_detail.address_1": "123 Business Park",
  "employers.*.address_detail.address_2": "Industrial Estate",
  "employers.*.address_detail.country": "GB",
  "employers.*.address_detail.post_code": "AB1 2CD",
  "employers.*.bank_details": [
    {
      "sort_code": "123456",
      "account_number": "12345678"
    }
  ],
  "employers.*.bank_details.sort_code": "123456",
  "employers.*.bank_details.account_number": "12345678",
  "aml": true
}
Response examples (200)
{
  "id": "031DF6J",
  "node_id": "1",
  "client_type": "Individual",
  "title": "Ms",
  "first_name": "Isabella",
  "surname": "Richardson",
  "address_detail": {
    "flat_number": "1",
    "building_name": "The White House",
    "building_number": "1",
    "address_1": "Downing Street",
    "address_2": "Westminster",
    "country": "United Kingdom",
    "postcode": "SW1A 2AA"
  },
  "email": "test@example.com",
  "mobile": {
    "number": "07777000000",
    "locale": "en-GB",
    "isMobile": true
  },
  "nationality": "GB",
  "national_insurance_no": "AB123456C",
  "date_of_birth": "1980-01-01",
  "tax_domicile": "GB",
  "terms_accepted": true,
  "status": "Active",
  "bank_details": {
    "account_number": "12345678",
    "sort_code": "12-34-56",
    "accepted_debit_mandate": true,
    "accepted_debit_mandate_at": "2025-01-01T00:00:00.000Z"
  },
  "vulnerability": {
    "isVulnerable": true,
    "reason": [
      "Mental Health"
    ],
    "isSupportTemporary": true
  },
  "aml_passed": true,
  "requires_debit_mandate": true,
  "employment_status": "Employed",
  "employers": [
    {
      "companyName": "Acme Corp",
      "companyRegNo": "12345678",
      "addressDetail": {
        "flat_number": null,
        "building_name": null,
        "building_number": "123",
        "address_1": "123 Business Rd",
        "address_2": "Business City",
        "country": "GB",
        "postcode": "BC1 2AB"
      },
      "bankDetails": {
        "sortCode": "12-34-56",
        "accountNumber": "12345678"
      }
    }
  ],
  "marital_status": "Single",
  "retirement_age": 65,
  "can_open_accounts_for": [
    "JISA"
  ],
  "plannr_account": {
    "uuid": "32f31f5c-b42e-4f3f-b454-5bbedeb239da",
    "created_at": "2026-07-16T17:25:37+01:00",
    "updated_at": "2026-07-16T17:25:37+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": {
      "uuid": "8e4ed462-0328-4d2b-8821-a7f1ea2e9883",
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00",
      "name": "Codepotato",
      "slug": "codepotato",
      "address_1": "Suite E, 5 The Briars",
      "address_2": "Waterberry Drive",
      "town_city": "Waterlooville",
      "county": "Hampshire",
      "postcode": "PO7 7YH",
      "country": "United Kingdom",
      "regulatory_text": "Regulatory text",
      "logo": "https://api.plannrcrm.com/images/plannr.jpg",
      "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
      "brand_colours": {
        "sidebar_background": "#0E0E56",
        "sidebar_accent": "#36367E",
        "sidebar_text": "#FFFFFF",
        "sidebar_hover": "#0A0A42",
        "sidebar_active": "#53DBB8",
        "sidebar_title_background": "#36367E",
        "sidebar_title_primary": "#FFC634",
        "sidebar_title_secondary": "#FFFFFF",
        "sidebar_title_secondary_hover": "#FFFFFF",
        "email_background": "#0E0E56",
        "email_logo_background_panel": "#36367E",
        "email_sub_text": "#FFFFFF",
        "email_button_background": "#36367E",
        "email_button_text": "#FFFFFF",
        "portal_sidebar_button_background": "#F6F6F6",
        "portal_sidebar_button_hover": "#FFFFFF",
        "portal_sidebar_button_active": "#FFFFFF",
        "portal_brand_title": "#323B4B",
        "portal_brand_sub_title": "#828994",
        "portal_sidebar_title": "#11151D",
        "portal_sidebar_text": "#323B4B",
        "portal_sidebar_text_hover": "#323B4B",
        "portal_sidebar_text_active": "#323B4B",
        "portal_sidebar_icon": "#828994",
        "portal_sidebar_icon_hover": "#828994",
        "portal_sidebar_icon_active": "#828994",
        "portal_background": "#F6F6F6",
        "portal_sidebar_account_title": "#11151D",
        "portal_sidebar_account_email": "#828994",
        "portal_sidebar_divider": "#E3E5E9",
        "portal_dashboard_bg_one": "#EF4583",
        "portal_dashboard_bg_two": "#FFC634",
        "portal_sidebar_collapse_button": "#828994",
        "portal_sidebar_collapse_button_hover": "#B3B9C4",
        "portal_sidebar_user_select_background": "#F6F6F6",
        "portal_sidebar_user_select_hover": "#F6F6F6",
        "portal_sidebar_user_select_text": "#323B4B",
        "portal_sidebar_user_select_text_hover": "#323B4B",
        "portal_sidebar_user_select_border": "#EEEEEE",
        "portal_sidebar_user_select_border_hover": "#828994"
      },
      "is_subscribed": true,
      "keep_deleted_files_for": 30,
      "tax": 17.5,
      "month_end": 25,
      "statement_frequency": "monthly",
      "billing": {
        "invoice_address_1": "Suite E, 5 The Briars",
        "invoice_address_2": "Waterberry Drive",
        "invoice_town_city": "Waterlooville",
        "invoice_county": "Hampshire",
        "invoice_postcode": "PO7 7YH",
        "invoice_country": "United Kingdom",
        "invoice_email": "gareth@codepotato.co.uk"
      },
      "ip_whitelist": [
        "192.168.0.1",
        "127.0.0.1"
      ],
      "welcome_paragraph_html": "<h1>Welcome.</h1>",
      "email_welcome_paragraph_html": "Welcome to Plannr!",
      "show_fact_find_illustrations": true,
      "cc_email_addresses": [
        "jack@example.com",
        "jill@example.com"
      ],
      "bcc_email_addresses": [
        "jack@example.com",
        "jill@example.com"
      ],
      "reply_to_email_address": "jack@example.com",
      "mobile_app_support_number": "01234 567890",
      "mobile_app_support_email": "support@example.com"
    },
    "primary_phone_number": {
      "uuid": "310ae2ff-c9d5-4fc3-8e16-7426408237a6",
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00",
      "type": "phone_number",
      "name": "Work number",
      "value": "+443330903630",
      "phone_number_meta": {
        "country": "GB",
        "formatted": "0333 090 3630"
      }
    },
    "primary_email": {
      "uuid": "310ae2ff-c9d5-4fc3-8e16-7426408237a6",
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00",
      "type": "phone_number",
      "name": "Work number",
      "value": "+443330903630",
      "phone_number_meta": {
        "country": "GB",
        "formatted": "0333 090 3630"
      }
    },
    "current_time_entry": {
      "uuid": "fe676435-8c63-4d52-abee-bf8e4f48a5f7",
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00",
      "name": "Research",
      "description": "This is a description.",
      "trackable_type": "Client",
      "start_date": "2026-07-16T16:35:41+01:00",
      "end_date": "2026-07-16T17:03:41+01:00",
      "is_active": true,
      "total_time_in_minutes": 28,
      "computed_time_elapsed_in_seconds": 1680
    },
    "assigned_adviser": {
      "uuid": "6db7d194-9e39-4054-bbc0-ac0117be7920",
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-07-16T17:25:41+01:00",
      "next_review_date": "2026-07-16T17:25:41+01:00",
      "previous_review_date": "2026-07-16T17:25:41+01:00",
      "anniversary_review_date": "2026-07-16T17:25:41+01:00",
      "terms_of_business_at": "2026-07-16T17:25:41+01:00",
      "client_agreement_at": "2026-07-16T17:25:41+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-07-16",
      "last_interaction_at": "2026-07-16 17:25:41",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "assigned_administrator": {
      "uuid": "6db7d194-9e39-4054-bbc0-ac0117be7920",
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-07-16T17:25:41+01:00",
      "next_review_date": "2026-07-16T17:25:41+01:00",
      "previous_review_date": "2026-07-16T17:25:41+01:00",
      "anniversary_review_date": "2026-07-16T17:25:41+01:00",
      "terms_of_business_at": "2026-07-16T17:25:41+01:00",
      "client_agreement_at": "2026-07-16T17:25:41+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-07-16",
      "last_interaction_at": "2026-07-16 17:25:41",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "assigned_paraplanner": {
      "uuid": "6db7d194-9e39-4054-bbc0-ac0117be7920",
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-07-16T17:25:41+01:00",
      "next_review_date": "2026-07-16T17:25:41+01:00",
      "previous_review_date": "2026-07-16T17:25:41+01:00",
      "anniversary_review_date": "2026-07-16T17:25:41+01:00",
      "terms_of_business_at": "2026-07-16T17:25:41+01:00",
      "client_agreement_at": "2026-07-16T17:25:41+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-07-16",
      "last_interaction_at": "2026-07-16 17:25:41",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "introduced_by": {
      "uuid": "6db7d194-9e39-4054-bbc0-ac0117be7920",
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-07-16T17:25:41+01:00",
      "next_review_date": "2026-07-16T17:25:41+01:00",
      "previous_review_date": "2026-07-16T17:25:41+01:00",
      "anniversary_review_date": "2026-07-16T17:25:41+01:00",
      "terms_of_business_at": "2026-07-16T17:25:41+01:00",
      "client_agreement_at": "2026-07-16T17:25:41+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-07-16",
      "last_interaction_at": "2026-07-16 17:25:41",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "business_unit": {
      "uuid": "fac86ac5-d495-4ae4-9709-875644664fd1",
      "name": "Wealth Management",
      "has_alternative_branding": false,
      "brand_colours": [],
      "members_count": 3,
      "groups_count": 2,
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00"
    },
    "groups": {
      "uuid": null,
      "name": "finance",
      "slug": "finance",
      "participants_count": "3",
      "participants": {
        "uuid": {
          "example": null,
          "description": "UUID of the account"
        },
        "role": {
          "example": "client",
          "description": "Role of the account"
        },
        "first_name": {
          "example": "Gareth",
          "description": "First name of the account"
        },
        "last_name": {
          "example": "Thompson",
          "description": "Last name of the account"
        },
        "name": {
          "example": "Gareth Thompson",
          "description": "Name of the account"
        },
        "email": {
          "example": "gareth@codepotato.co.uk",
          "description": "Email of the account"
        }
      },
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00"
    },
    "tags": {
      "uuid": "3b51496a-b17f-4dde-81e9-61edd58cd8e4",
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00",
      "name": "Mortgage",
      "slug": "mortgage",
      "colour": "#ef4582"
    },
    "owners": {
      "uuid": "6db7d194-9e39-4054-bbc0-ac0117be7920",
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-07-16T17:25:41+01:00",
      "next_review_date": "2026-07-16T17:25:41+01:00",
      "previous_review_date": "2026-07-16T17:25:41+01:00",
      "anniversary_review_date": "2026-07-16T17:25:41+01:00",
      "terms_of_business_at": "2026-07-16T17:25:41+01:00",
      "client_agreement_at": "2026-07-16T17:25:41+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-07-16",
      "last_interaction_at": "2026-07-16 17:25:41",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "first_contact_date": "2026-07-16T17:25:37+01:00",
    "next_review_date": "2026-07-16T17:25:37+01:00",
    "previous_review_date": "2026-07-16T17:25:37+01:00",
    "anniversary_review_date": "2026-07-16T17:25:37+01:00",
    "terms_of_business_at": "2026-07-16T17:25:37+01:00",
    "client_agreement_at": "2026-07-16T17:25:37+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": {
      "uuid": "77de546b-1d48-4fa8-9561-46f93a08a822",
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00",
      "name": "Jones Family",
      "photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
      "bg_colour": "#35f4e1",
      "has_portal_access": true,
      "portal_access_status": "active",
      "engagement_rating": "green",
      "last_login": {
        "logged_in_at": "2026-07-16T17:25:41+01:00",
        "account_uuid": "uuid",
        "account_name": "John Smith",
        "device_type": "desktop",
        "device_platform": "macos"
      },
      "portal_login_count_30d": 5,
      "portal_login_count_90d": 12,
      "portal_login_count_365d": 48,
      "joint_account_uuid": "69c91966-c6f5-4fc6-a076-6ff641e277ae",
      "login_access_level": "write",
      "current_life_stage_uuid": "19fa5c9a-a692-4577-b67c-9274b448303d"
    },
    "circles": {
      "uuid": "77de546b-1d48-4fa8-9561-46f93a08a822",
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00",
      "name": "Jones Family",
      "photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
      "bg_colour": "#35f4e1",
      "has_portal_access": true,
      "portal_access_status": "active",
      "engagement_rating": "green",
      "last_login": {
        "logged_in_at": "2026-07-16T17:25:41+01:00",
        "account_uuid": "uuid",
        "account_name": "John Smith",
        "device_type": "desktop",
        "device_platform": "macos"
      },
      "portal_login_count_30d": 5,
      "portal_login_count_90d": 12,
      "portal_login_count_365d": 48,
      "joint_account_uuid": "69c91966-c6f5-4fc6-a076-6ff641e277ae",
      "login_access_level": "write",
      "current_life_stage_uuid": "19fa5c9a-a692-4577-b67c-9274b448303d"
    },
    "ownership_percentage": 100,
    "inactive_at": "2026-07-16",
    "last_interaction_at": "2026-07-16 17:25:37",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": {
      "uuid": null,
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00",
      "type": "string",
      "name": "Favourite Drink",
      "reference": "favourite_drink",
      "is_required": false,
      "value": "Coffee",
      "selection_options": [
        "Coffee",
        "Tea",
        "Water"
      ],
      "help_text": "This is the client's favourite drink."
    },
    "external_references": {
      "uuid": "62378c5d-ce77-48b8-a9a8-1c8b08eba82d",
      "created_at": "2026-07-16T17:25:41+01:00",
      "updated_at": "2026-07-16T17:25:41+01:00",
      "third_party": "nucleus",
      "reference": "AB123456"
    }
  },
  "parent_id": "031DF6J"
}